DescriptorProtos.MethodDescriptorProtoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.MethodDescriptorProtoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.MethodDescriptorProto, DescriptorProtos.MethodDescriptorProto.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.MethodDescriptorProtoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getClientStreaming()` Identifies if client streams multiple client messages
    `java.lang.String` | `getInputType()` Input and output type names.
    `ByteString` | `getInputTypeBytes()` Input and output type names.
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.MethodOptions` | `getOptions()` `optional .google.protobuf.MethodOptions options = 4;`
    `DescriptorProtos.MethodOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.MethodOptions options = 4;`
    `java.lang.String` | `getOutputType()` `optional string output_type = 3;`
    `ByteString` | `getOutputTypeBytes()` `optional string output_type = 3;`
    `boolean` | `getServerStreaming()` Identifies if server streams multiple server messages
    `boolean` | `hasClientStreaming()` Identifies if client streams multiple client messages
    `boolean` | `hasInputType()` Input and output type names.
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.MethodOptions options = 4;`
    `boolean` | `hasOutputType()` `optional string output_type = 3;`
    `boolean` | `hasServerStreaming()` Identifies if server streams multiple server messages

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          java.lang.String getName()

      `optional string name = 1;`

    - #### getNameBytes

          ByteString getNameBytes()

      `optional string name = 1;`

    - #### hasInputType

          boolean hasInputType()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### getInputType

          java.lang.String getInputType()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### getInputTypeBytes

          ByteString getInputTypeBytes()

           Input and output type names.  These are resolved in the same way as
           FieldDescriptorProto.type_name, but must refer to a message type.

      `optional string input_type = 2;`

    - #### hasOutputType

          boolean hasOutputType()

      `optional string output_type = 3;`

    - #### getOutputType

          java.lang.String getOutputType()

      `optional string output_type = 3;`

    - #### getOutputTypeBytes

          ByteString getOutputTypeBytes()

      `optional string output_type = 3;`

    - #### hasOptions

          boolean hasOptions()

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### getOptions

          DescriptorProtos.MethodOptions getOptions()

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### getOptionsOrBuilder

          DescriptorProtos.MethodOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.MethodOptions options = 4;`

    - #### hasClientStreaming

          boolean hasClientStreaming()

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`

    - #### getClientStreaming

          boolean getClientStreaming()

           Identifies if client streams multiple client messages

      `optional bool client_streaming = 5 [default = false];`

    - #### hasServerStreaming

          boolean hasServerStreaming()

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`

    - #### getServerStreaming

          boolean getServerStreaming()

           Identifies if server streams multiple server messages

      `optional bool server_streaming = 6 [default = false];`